CLARKEINV(9)

NAME

clarkeinv - Inverse Clarke transform

SYNOPSIS

loadrt clarkeinv [count=N|names=name1[,name2...]]

DESCRIPTION

The inverse Clarke transform can be used rotate a vector quantity and then translate it from Cartesian coordinate system to a three phase system (three components 120 degrees apart).

FUNCTIONS

clarkeinv.N (requires a floating-point thread)

PINS

clarkeinv.N.x float in

clarkeinv.N.y float in
    cartesian components of input

clarkeinv.N.h float in
    homopolar component of input (usually zero)

clarkeinv.N.theta float in
    rotation angle: 0.00 to 1.00 = 0 to 360 degrees

clarkeinv.N.a float out

clarkeinv.N.b float out

clarkeinv.N.c float out
    three phase output vector

SEE ALSO

clarke2(9) and clarke3(9) for the forward transform.

AUTHOR

John Kasunich

LICENSE

GPL